#!/usr/bin/env bash

# Set the current path to the Doom path required by some OS.
pushd "${doomPath}"

gamePath=~/.local/games/doom
# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "${gamePath}/OpMDK.wad"
    "${gamePath}/Project_Brutality-Latest.pk3"
)

# Check for and include if present a wad. Some people may not have it.
if [[ -e "${gamePath}/DoomMetalVol7.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol7.wad")
elif [[ -e "${gamePath}/DoomMetalVol6.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol6.wad")
fi
